/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : jeu aoû  7 13:56:01 CEST 2003
    copyright            : (C) 2003 by Eric Coquelle
    email                : coquelle@caramail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kapplication.h>

#include "puz_app.h"

static const char *description =
	I18N_NOOP("KSlide\nthe KDE block puzzle game");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "kslide", I18N_NOOP("KSlide"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2000-2003, Eric Coquelle\n(c) 1998 Marco Gotze", 0,"http://perso.wanadoo.fr/coquelle/taquin/" , "coquelle@caramail.com");
	aboutData.addAuthor("Eric Coquelle",I18N_NOOP("Developer and Maintainer"), "coquelle@caramail.com","http://perso.wanadoo.fr/coquelle/taquin/");
	aboutData.addAuthor("Marco Gotze",I18N_NOOP("First author"), "gomar@mindless.com","http://www.tu-ilmenau.de/~gomar/stuff/kslide/");
	aboutData.addCredit ( "JP Martin", I18N_NOOP("Bug track, advices & ideas "), "jeanphilippemartin@club-internet.fr" );
	aboutData.addCredit( "Benjamin Meyer", I18N_NOOP("Bug track") );
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  KSlideApp *kslide = new KSlideApp();
  a.setMainWidget(kslide);
  kslide->show();  

  return a.exec();
}
